CS::Animation::SkeletonAnimNodeFactorySingle Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
CS::Animation::SkeletonAnimNodeFactorySingle Class Reference

Base implementation of a CS::Animation::iSkeletonAnimNodeFactory with a single child. More...

`#include <cstool/animnodetmpl.h>`

Inheritance diagram for CS::Animation::SkeletonAnimNodeFactorySingle:

List of all members.

## Public Member Functions
csPtr< iSkeletonAnimNode > | CreateInstance (iSkeletonAnimPacket *packet, iSkeleton *skeleton)
| Create a new animation node.
iSkeletonAnimNodeFactory * | FindNode (const char *name)
| Find a sub-node with the given name.
virtual iSkeletonAnimNodeFactory * | GetChildNode () const
| Get the child animation node of this node, or nullptr if there are none.
virtual void | SetChildNode (iSkeletonAnimNodeFactory *factory)
| Set the child animation node of this node.
| SkeletonAnimNodeFactorySingle (const char *name)
| Constructor.
virtual | ~SkeletonAnimNodeFactorySingle ()
| Destructor.
## Protected Member Functions
virtual csPtr < SkeletonAnimNodeSingleBase > | ActualCreateInstance (iSkeletonAnimPacket *packet, iSkeleton *skeleton)=0
| To be overridden by derived classes: create actual instance of a node.
## Protected Attributes
csRef < CS::Animation::iSkeletonAnimNodeFactory > | childNodeFactory
| Factory of the child node.

## Detailed Description

Base implementation of a CS::Animation::iSkeletonAnimNodeFactory with a single child.

Definition at line 143 of file animnodetmpl.h.

## Constructor & Destructor Documentation

CS::Animation::SkeletonAnimNodeFactorySingle::SkeletonAnimNodeFactorySingle | ( | const char * | name | ) |

Constructor.

virtual CS::Animation::SkeletonAnimNodeFactorySingle::~SkeletonAnimNodeFactorySingle | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 155 of file animnodetmpl.h.

## Member Function Documentation

virtual csPtr<SkeletonAnimNodeSingleBase> CS::Animation::SkeletonAnimNodeFactorySingle::ActualCreateInstance | ( | iSkeletonAnimPacket * | packet,
|  | iSkeleton * | skeleton
| ) |  | `[protected, pure virtual]`

To be overridden by derived classes: create actual instance of a node.

csPtr<iSkeletonAnimNode> CS::Animation::SkeletonAnimNodeFactorySingle::CreateInstance | ( | iSkeletonAnimPacket * | packet,
|  | iSkeleton * | skeleton
| ) |  | `[virtual]`

Create a new animation node.

Implements CS::Animation::iSkeletonAnimNodeFactory.

iSkeletonAnimNodeFactory* CS::Animation::SkeletonAnimNodeFactorySingle::FindNode | ( | const char * | name | ) | `[virtual]`

Find a sub-node with the given name.

Implements CS::Animation::iSkeletonAnimNodeFactory.

virtual iSkeletonAnimNodeFactory* CS::Animation::SkeletonAnimNodeFactorySingle::GetChildNode | ( |  | ) | const`[virtual]`

Get the child animation node of this node, or nullptr if there are none.

virtual void CS::Animation::SkeletonAnimNodeFactorySingle::SetChildNode | ( | iSkeletonAnimNodeFactory * | factory | ) | `[virtual]`

Set the child animation node of this node.

It is valid to provide a null pointer.

## Member Data Documentation

csRef<CS::Animation::iSkeletonAnimNodeFactory> CS::Animation::SkeletonAnimNodeFactorySingle::childNodeFactory`[protected]`

Factory of the child node.

Definition at line 172 of file animnodetmpl.h.

The documentation for this class was generated from the following file:

- cstool/animnodetmpl.h